%define name gtulpas
%define version 1.0.0
%define release 3mdk
%define prefix %{_prefix}
%define summary Gnome Tulpas is a pool game

Name: %{name}
Summary: %{summary}
Version: %{version}
Release: %{release}
Source: http://www.suse.cz/gtulpas/%{name}-%{version}.tar.bz2
Source1: %{name}.16.xpm.bz2
Source2: %{name}.32.xpm.bz2
Patch0: gtulpas-fix-scheme.patch.bz2
URL: http://www.suse.cz/gtulpas/
Copyright: GPL
Group: Games/Sports
Packager: Guillaume Cottenceau <gc@mandrakesoft.com>
BuildRoot: %{_tmppath}/%{name}-buildroot
BuildRequires: gtkglarea-devel Mesa-common-devel

%description
The Gnome Tulpas is a pool game. It could play pool games written in Guile
language. Current release contains Carom, Snooker and 9-Ball. It has nice 3D
graphic thanks to Mesa/GL.

%prep
%setup -q
%patch0 -p0

%build
%configure
%make

%install
rm -rf "$RPM_BUILD_ROOT"
%makeinstall

mkdir -p $RPM_BUILD_ROOT/%{_menudir}
cat << EOF > $RPM_BUILD_ROOT/%{_menudir}/%{name}
?package(%{name}):command="%{_bindir}/%{name}" icon="%{name}.xpm" \
  needs="x11" section="Amusement/Sports" title="Gnome Tulpas" \
  longtitle="%{summary}"
EOF

mkdir -p $RPM_BUILD_ROOT%{_miconsdir}
bzcat %{SOURCE1} > $RPM_BUILD_ROOT%{_miconsdir}/%{name}.xpm
bzcat %{SOURCE2} > $RPM_BUILD_ROOT%{_iconsdir}/%{name}.xpm

%find_lang %{name}

%post
%{update_menus}

%postun
%{clean_menus}

%clean
rm -rf "$RPM_BUILD_ROOT"

%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS COPYING README docs/*.html docs/*.png
%{_bindir}/*
%{_datadir}/%{name}
%{_datadir}/gnome/help/*
%{_menudir}/%{name}
%{_miconsdir}/%{name}.xpm
%{_iconsdir}/%{name}.xpm

%changelog
* Tue Mar 27 2001 Franois Pons <fpons@mandrakesoft.com> 1.0.0-3mdk
- add BuildRequires to Mesa-common-devel

* Thu Oct 26 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 1.0.0-2mdk
- add BuildRequires to gtkglarea-devel

* Wed Aug 30 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 1.0.0-1mdk
- first mdk version. thanks to chmou. many thanks to fredl for fixing scheme.

